'''
This is to check all data can be read correctly.
'''

import gdal
import numpy as np
import pandas as pd

datasets = ['GPP','GPP_Uncertainty','PAR','PAR_Uncertainty','SANIRv','SANIRv_Uncertainty']
id = 0
dataset = datasets[id]
T = pd.date_range('2005-01-01','2019-12-31',freq='D')
tiles = np.loadtxt('tiles.txt','U')
file = open('%s.txt'%dataset,'w')
for t in T:
    for tile in tiles:
        print(dataset,t,tile)
        try:
            data = gdal.Open('%s/%d/%d.%02d.%02d/%s.%d.%02d.%02d.%s.tif' % (dataset,t.year,t.year,t.month,t.day,dataset,t.year,t.month,t.day,tile)).ReadAsArray()
        except:
            file.write('%s/%d/%d.%02d.%02d/%s.%d.%02d.%02d.%s.tif\n' % (dataset,t.year,t.year,t.month,t.day,dataset,t.year,t.month,t.day,tile))
file.close()
